Bug 64199 - Log-files are placed under WorkDir which in default install is readable from a remote browser
Log-files are placed under WorkDir which in default install is readable from ...
Status: CLOSED DUPLICATE of bug 112888
Product: Red Hat Raw Hide
Classification: Retired
Component: mrtg (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
: FutureFeature
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-04-28 18:53 EDT by John Eckerdal
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Eckerdal 2002-04-28 18:53:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
The standard WorkDir location are used to store both the result and the
log-files generated by MRTG. The raw log-files can then later be downloaded from
any browser that can access the http://server/mrtg directory.
While not a security issue since the result is viewable in graphs it would look
cleaner if the logs were placed in /var/logs/mrtg instead since if MRTG
generates graphs for stacked switch there will be two files per connected
computer just for the logs.
And since there is a /var/logs/ present why not just add a /var/logs/mrtg and be
done with it?

From the MRTG reference:

LogDir

LogDir specifies the directory where the logs are stored. This need not be under
htmldir directive.

Example:
Logdir: /www/mrtg/logs



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install MRTG
2.Watch where the log-files are placed (/var/www/html/mrtg/)
3.
	

Actual Results:  Log files are placed in /var/www/html/mrtg/

Expected Results:  Log files are placed in /var/www/html/mrtg/

Additional info:
Comment 1 Miloslav Trmač 2004-08-16 16:40:35 EDT

*** This bug has been marked as a duplicate of 112888 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:48:48 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.